Bug 175281 - Review Request: perl-Tie-EncryptedHash
Review Request: perl-Tie-EncryptedHash
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
David Lawrence
http://search.cpan.org/dist/Tie-Encry...
:
Depends On: 168580
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-08 10:01 EST by Paul Howarth
Modified: 2009-03-12 23:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-08 02:55:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2005-12-08 10:01:13 EST
Spec Name or Url: http://www.city-fan.org/~paul/extras/perl-Tie-EncryptedHash/perl-Tie-EncryptedHash.spec
SRPM Name or Url: http://www.city-fan.org/~paul/extras/perl-Tie-EncryptedHash/perl-Tie-EncryptedHash-1.21-1.src.rpm
Description:

Tie::EncryptedHash augments Perl hash semantics to build secure, encrypting
containers of data. Tie::EncryptedHash introduces special hash fields that are
coupled with encrypt/decrypt routines to encrypt assignments at STORE() and
decrypt retrievals at FETCH(). By design, encrypting fields are associated with
keys that begin in single underscore. The remaining keyspace is used for
accessing normal hash fields, which are retained without modification.

While the password is set, a Tie::EncryptedHash behaves exactly like a standard
Perl hash. This is its transparent mode of access. Encrypting and normal fields
are identical in this mode. When password is deleted, encrypting fields are
accessible only as ciphertext. This is Tie::EncryptedHash's opaque mode of
access, optimized for serialization.

Encryption is done with Crypt::CBC(3), which encrypts in the cipher block
chaining mode with Blowfish, DES or IDEA. Tie::EncryptedHash uses Blowfish by
default, but can be instructed to employ any cipher supported by Crypt::CBC(3).
Comment 1 Jason Tibbitts 2006-02-07 16:41:16 EST
perl-Crypt-DES isn't built on the FC-4 branch yet so I build it from CVS.

There's not really much to this package.  The shebang line at the top of the
module is odd; thanks for removing it.

Good stuff:
pmlint is completely silent.
Package meets naming and packaging guidelines.
Specfile is properly named, legible, and uses macros consistently.
BuildRequires: is proper.
License is acceptable and matches License: tag.
Source file md5sum matches upstream.
Package builds and installs on FC4 x86 and FC3 x86_64.

Odd stuff:
The tests spew a few (nine) warnings.  They don't seem to affect the outcome.

t/operations test takes fifteen seconds on FC3 x86_64 but seems to be
instantaneous on i386.  Everything does build and pass on x86_64 so I'm not sure
what the issue is.

I see no reason why either of these should be blockers.

Approved.
Comment 2 Paul Howarth 2006-02-08 02:55:54 EST
Thanks for the review.

Build on target fedora-development-extras succeeded.

I'm not sure about the test issues either, but there don't seems to be any bugs
 on rt.cpan.org and this module release is getting on for 4 years old now, so I
reckon it's OK.
Comment 3 Paul Howarth 2009-03-11 06:30:57 EDT
Package Change Request
======================
Package Name: perl-Tie-EncryptedHash
New Branches: EL-4 EL-5
Owners: pghmcfc
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2009-03-12 23:06:48 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.